RK-J - Task #3252

Feature # 3246 (Closed): Support for Search Stats page

Logging 'Search data’ Obtained from the Log Extension API
10/05/2023 09:46 AM - Venmubhilan B

Status: Closed Start date: 10/05/2023
Priority: Normal Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

The information for the following scenarios are send to Log Extension API .

when a user searches and gets the purple link results

{
"videoldData": {

"https://www.studytonight.com/operating-system/classical-synchronization-problems": {
"rkenServedPhrase" : "linked list"

}
}
}

when the user clicks the 'Yes' button within the ChatGPT block {

"videoldData": {
"https://www.studytonight.com/operating-system/classical-synchronization-problems": {
"phraseAskedInChatGPT" : "linked list"

}
}
}

Log the information of ‘rkenServedPhrase’ and “phraseAskedInChatGPT" in the backend

sample log messages ex:
Rken Served : In Copilot search, user got the purple link results for this phrase : <phrase> in this URL : <URL>

Asked In ChatGPT : User clicked the "Yes' button to obtain the answer from ChatGPT plus for this phrase : <phrase> in this URL :
<URL>

History

#1 - 10/05/2023 09:47 AM - Venmuhilan B

- Subject changed from Logging "Search Stats" Information Obtained from the Log Extension API to Logging "Search data’ Obtained from the Log
Extension API

#2 - 10/05/2023 10:11 AM - Abhijata Sen

- Status changed from New to In Progress

#3 - 10/05/2023 11:36 AM - Venmuhilan B

- Description updated

#4 - 10/06/2023 09:45 AM - Abhijata Sen

- Status changed from In Progress to Resolved

#5 - 10/06/2023 09:46 AM - Abhijata Sen

- Status changed from Resolved to Review

#6 - 10/06/2023 09:47 AM - Abhijata Sen

- Status changed from Review to Closed
- % Done changed from 0 to 100

#7 - 10/06/2023 10:41 AM - Ram Kordale

- Status changed from Closed to Reopened

#8 - 10/06/2023 10:42 AM - Ayush Khandelwal

- Status changed from Reopened to In Progress

#9 - 10/06/2023 10:42 AM - Ayush Khandelwal

- Status changed from In Progress to Feedback

#10 - 10/09/2023 07:41 AM - Abhijata Sen

- Assignee changed from Abhijata Sen to Venmuhilan B

#11 - 11/13/2023 05:13 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ram Kordale

#12 - 01/05/2024 02:54 AM - Ram Kordale
- Status changed from Feedback to Closed
